Skip to main content
GET
/
v1
/
files
List Files
curl --request GET \
  --url https://api.withflex.com/v1/files \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.withflex.com/v1/files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/files', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "files": [
    {
      "file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "purpose": "account_requirement",
      "size": 0,
      "created_at": "2026-06-15T14:30:00Z",
      "expires_at": "2026-06-15T14:30:00Z"
    }
  ]
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
{
  "code": "string",
  "detail": "string"
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

purpose
enum<string> | null

What the uploaded file will be used for.

Available options:
account_requirement,
additional_verification,
business_icon,
business_logo,
customer_signature,
dispute_evidence,
document_provider_identity_document,
finance_report_run,
financial_account_statement,
identity_document,
identity_document_downloadable,
issuing_regulatory_reporting,
pci_document,
platform_terms_of_service,
selfie,
sigma_scheduled_query,
tax_document_user_upload,
terminal_android_apk,
terminal_reader_splashscreen
Example:

"account_requirement"

limit
integer<int32> | null
Required range: 1 <= x <= 100
Example:

10

starting_after
string | null
Example:

"ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

ending_before
string | null
Example:

"ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

Response

Success

An envelope wrapping a list of file objects.

files
object[]
required

The list of File objects.